/*
 *  dinkelbach.h
 *  PHunterLib
 *
 *  Created by Tiayyba Riaz on 7/2/09.
 *  Copyright 2009 __MyCompanyName__. All rights reserved.
 *
 */

//Module: Achievement of the Dinkelbach algorithm

#ifndef __dinkelbach_h
#define __dinkelbach_h

//#include <iostream>
//#include <strstream>
//#include <cstring>
#include "nnparams.h"
#include "galign.h"

//using namespace std;

//typedef class dinkelbach* DINKEL;
//#pragma GCC visibility push(hidden)
typedef struct dinkelbach_st
{
    PNNParams myDinkParams;
    GGAlign myGAlign;
    
}dinkelbach, * pdinkelbach;
//#pragma GCC visibility pop

void dnkl_initdinkelbach(pdinkelbach dnkl, PNNParams, GGAlign);
int dnkl_iteration(pdinkelbach dnkl, float TempK);

#endif /* __dinkelbach_h */
